Package org.drinkless.tdlib

# Class TdApi.SetChatAccentColor

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetChatAccentColor

Enclosing class:
  `TdApi`

public static class TdApi.SetChatAccentColor extends TdApi.Function<TdApi.Ok>
Changes accent color and background custom emoji of a channel chat. Requires canChangeInfo administrator right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColorId`
  Identifier of the accent color to use.
  `long`
  `backgroundCustomEmojiId`
  Identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetChatAccentColor()`
  Default constructor for a function, which changes accent color and background custom emoji of a channel chat.
  `SetChatAccentColor(long chatId, int accentColorId, long backgroundCustomEmojiId)`
  Creates a function, which changes accent color and background custom emoji of a channel chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### accentColorId

    public int accentColorId
    Identifier of the accent color to use. The chat must have at least accentColor.minChannelChatBoostLevel boost level to pass the corresponding color.

  - ### backgroundCustomEmojiId

    public long backgroundCustomEmojiId
    Identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none. Use chatBoostLevelFeatures.canSetBackgroundCustomEmoji to check whether a custom emoji can be set.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetChatAccentColor

    public SetChatAccentColor()
    Default constructor for a function, which changes accent color and background custom emoji of a channel chat. Requires canChangeInfo administrator right.

    Returns `Ok`

  - ### SetChatAccentColor

    public SetChatAccentColor(long chatId, int accentColorId, long backgroundCustomEmojiId)
    Creates a function, which changes accent color and background custom emoji of a channel chat. Requires canChangeInfo administrator right.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `accentColorId` - Identifier of the accent color to use. The chat must have at least accentColor.minChannelChatBoostLevel boost level to pass the corresponding color.
      `backgroundCustomEmojiId` - Identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none. Use chatBoostLevelFeatures.canSetBackgroundCustomEmoji to check whether a custom emoji can be set.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR